package mvd.jester.model;

import java.util.TreeSet;
import mvd.jester.priority.PriorityManager;

/**
 * SortedTaskSet
 */
public class SortedTaskSet extends TreeSet<Task> {

    private static final long serialVersionUID = 4808544133562675597L;

    public SortedTaskSet(PriorityManager priorityMananger) {
        super((t1, t2) -> priorityMananger.compare(t1, t2));
    }
}
